> ## Documentation Index
> Fetch the complete documentation index at: https://docs.finsei.com/llms.txt
> Use this file to discover all available pages before exploring further.

# POST /v2/member



## OpenAPI

````yaml POST /v2/member
openapi: 3.1.0
info:
  title: Finsei API
  description: API documentation for Finsei
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.sandbox.finsei.com
security:
  - bearerAuth: []
paths:
  /v2/member:
    post:
      tags:
        - member
      summary: Invite sub user
      parameters:
        - in: query
          name: validate
          schema:
            default: 0
            type: integer
            enum:
              - 0
              - 1
      requestBody:
        content:
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/MemberInviteV2'
            encoding:
              walletAccess[]:
                explode: true
          application/json:
            schema:
              $ref: '#/components/schemas/MemberInviteV2'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                oneOf:
                  - $ref: '#/components/schemas/SuccessFormResponse'
                  - $ref: '#/components/schemas/ErrorFormResponse'
                  - $ref: '#/components/schemas/SignFormResponse'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          $ref: '#/components/responses/Forbidden'
      security:
        - bearerAuth: []
components:
  schemas:
    MemberInviteV2:
      type: object
      properties:
        email:
          type: string
          format: email
        name:
          type: string
        permissions:
          type: array
          items:
            type: string
        walletAccess:
          type: array
          items:
            type: string
      required:
        - email
        - name
    SuccessFormResponse:
      type: object
      properties:
        status:
          type: string
          example: SUCCESS
        message:
          type: string
        data:
          type: object
    ErrorFormResponse:
      type: object
      properties:
        status:
          type: string
          example: ERROR
        errors:
          type: array
          example:
            email: Email cannot be blank.
            password: Password cannot be blank.
    SignFormResponse:
      type: object
      properties:
        status:
          type: string
          example: SIGN
        signId:
          type: string
  responses:
    Unauthorized:
      description: Unauthorized
      content:
        application/json:
          schema:
            type: object
            properties:
              name:
                type: string
                example: Unauthorized
              message:
                type: string
                example: Your request was made with invalid credentials.
              status:
                type: integer
                example: 401
    Forbidden:
      description: Forbidden
      content:
        application/json:
          schema:
            type: object
            properties:
              name:
                type: string
                example: Forbidden
              message:
                type: string
                example: String
              status:
                type: integer
                example: 403
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````